Name:		xournal
Summary:	Pen-based journal and PDF annotator
Version:	0.4.5
Release:	%mkrel 3

Source:		http://heanet.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Patch0:		xournal-configure.in.patch
Patch1:		xournal-poppler-api.patch
URL:		http://xournal.sourceforge.net/
License:	GPLv2
Group:		Office
BuildRequires:	imagemagick
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(gtk+-2.0) >= 2.10.0
BuildRequires: pkgconfig(libgnomecanvas-2.0) >= 2.4.0
BuildRequires: pkgconfig(poppler-glib) >= 0.5.4
BuildRequires: pkgconfig(x11)
# For pdftoppm: see http://forum.mandriva.com/viewtopic.php?t=92135
Requires:	poppler

%description
Xournal is an application for notetaking, sketching, keeping a journal using a
stylus.  It is similar to Microsoft Windows Journal or to other alternatives
such as Jarnal, Gournal, and NoteLab.

%prep
%setup -q
%patch0 -p1
%patch1 -p0

%build
./autogen.sh
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall

# menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Name=Xournal
Comment=%summary
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;Office;
EOF

# icons
mkdir -p %{buildroot}%{_liconsdir}
convert -size 48x48 pixmaps/%{name}.png %{buildroot}/%{_liconsdir}/%{name}.png
mkdir -p %{buildroot}/%{_iconsdir}
convert -size 32x32 pixmaps/%{name}.png %{buildroot}/%{_iconsdir}/%{name}.png
mkdir -p %{buildroot}/%{_miconsdir}
convert -size 16x16 pixmaps/%{name}.png %{buildroot}/%{_miconsdir}/%{name}.png

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README html-doc/*
%{_bindir}/%{name}
%{_datadir}/applications/*
%{_datadir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog

* Tue Sep 27 2011 fwang <fwang> 0.4.5-3.mga2
+ Revision: 149530
- clean br
- add fedora patches to fix build with latest poppler

  + ovitters <ovitters>
    - rebuild for new poppler

  + ahmad <ahmad>
    - Change libpoppler-*-devel BR to pkgconfig style

* Mon Apr 11 2011 nanardon <nanardon> 0.4.5-2.mga1
+ Revision: 83203
- mdv cleanup
- imported package xournal

